Loading...
Searching...
No Matches
UnpackBuffers.h File Reference

Defines the lowering pass that unpacks buffer arguments onto the symbol table. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::unpack_buffers (Stmt s)
| Creates let stmts for the various buffer components (e.g.

## Detailed Description

Defines the lowering pass that unpacks buffer arguments onto the symbol table.

Definition in file UnpackBuffers.h.